apiVersion: apps/v1
kind: Deployment
metadata:
  name: jupyter-lab
  namespace: geocrop
spec:
  replicas: 1
  selector:
    matchLabels:
      app: jupyter-lab
  template:
    metadata:
      labels:
        app: jupyter-lab
    spec:
      nodeSelector:
        kubernetes.io/hostname: vmi3045103.contaboserver.net
      containers:
      - name: jupyter
        image: jupyter/datascience-notebook:python-3.11
        env:
        - name: JUPYTER_ENABLE_LAB
          value: "yes"
        - name: AWS_ACCESS_KEY_ID
          valueFrom:
            secretKeyRef:
              name: geocrop-secrets
              key: minio-access-key
        - name: AWS_SECRET_ACCESS_KEY
          valueFrom:
            secretKeyRef:
              name: geocrop-secrets
              key: minio-secret-key
        - name: AWS_S3_ENDPOINT_URL
          value: http://minio.geocrop.svc.cluster.local:9000
        ports:
        - containerPort: 8888
        volumeMounts:
        - name: workspace
          mountPath: /home/jovyan/work
      volumes:
      - name: workspace
        persistentVolumeClaim:
          claimName: jupyter-workspace-v3
